| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableGeneric Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableGeneric:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableGeneric:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | __deepcopy__ (self, memo)
def | getGaudiType (cls)
def | getDlls (self)
def | getHandle (self)
def | __setattr__ (self, name, value)
def | getJobOptName (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, *args, **kwargs)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, **kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Attributes
| _name
| _properties

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables
dictionary | configurableServices

## Detailed Description

Definition at line 1020 of file Configurable.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiKernel.Configurable.ConfigurableGeneric.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1023 of file Configurable.py.

1023 def __init__(self, name=Configurable.DefaultName):
1024 Configurable.__init__(self, name)
1025 self._name = name
1026 self._properties = {}
1027

## Member Function Documentation

## ◆ __deepcopy__()

def GaudiKernel.Configurable.ConfigurableGeneric.__deepcopy__ | ( |  | self,
|  |  | memo
| ) |  |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1028 of file Configurable.py.

1028 def __deepcopy__(self, memo):
1029 return self # algorithms are always shared
1030

## ◆ __setattr__()

def GaudiKernel.Configurable.ConfigurableGeneric.__setattr__ | ( |  | self,
|  |  | name,
|  |  | value
| ) |  |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1041 of file Configurable.py.

1041 def __setattr__(self, name, value):
1042 # filter private (user) variables
1043 if name[0] == '_':
1044 super(ConfigurableGeneric, self).__setattr__(name, value)
1045 return
1046
1047 # filter configurable types
1048 if isinstance(value, Configurable):
1049 self.__dict__[name] = value
1050 return
1051
1052 # assume all the rest are properties
1053 if not name in self._properties:
1054 self._properties[name] = PropertyProxy(DummyDescriptor(name))
1055 self._properties[name].__set__(self, value)
1056

## ◆ getDlls()

def GaudiKernel.Configurable.ConfigurableGeneric.getDlls | ( |  | self | ) |

Definition at line 1035 of file Configurable.py.

1035 def getDlls(self):
1036 pass
1037

## ◆ getGaudiType()

def GaudiKernel.Configurable.ConfigurableGeneric.getGaudiType | ( |  | cls | ) |

Definition at line 1032 of file Configurable.py.

1032 def getGaudiType(cls):
1033 return 'GenericComponent'
1034

## ◆ getHandle()

def GaudiKernel.Configurable.ConfigurableGeneric.getHandle | ( |  | self | ) |

Definition at line 1038 of file Configurable.py.

1038 def getHandle(self):
1039 pass
1040

## ◆ getJobOptName()

def GaudiKernel.Configurable.ConfigurableGeneric.getJobOptName | ( |  | self | ) |

Reimplemented from GaudiKernel.Configurable.Configurable.

Definition at line 1057 of file Configurable.py.

1057 def getJobOptName(self):
1058 return None
1059
1060
1061 # base classes for individual Gaudi algorithms/services/algtools ===========

## Member Data Documentation

## ◆ _name

GaudiKernel.Configurable.ConfigurableGeneric._name
| private

Definition at line 1025 of file Configurable.py.

## ◆ _properties

GaudiKernel.Configurable.ConfigurableGeneric._properties
| private

Definition at line 1026 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py